Solid Modeling Loaded

Discussion in 'AutoCAD' started by Gustavo Guidi, Jan 8, 2004.

  1. Is there any variable or file that I can read or see if it is loaded to
    know that the solid modeling is loaded
    This is becouse I use a routin that works whith command with solids and the
    time it takes the first time AutoCAd load the solid modeling I shoul inform
    the user that the routin is doing something and not seems to be not working

    Thanks
     
    Gustavo Guidi, Jan 8, 2004
    #1
  2. this is what i use [in a2004]:

    (if (not (vl-bb-ref 'solid_modeler))
    (progn
    (vl-bb-set 'solid_modeler t)
    (princ
    "\nWait about to load the modeler...\n")

    (entmake (list '(0 . "REGION")
    '(100 . "AcDbEntity")
    '(67 . 0)
    '(410 . "Model")
    '(8 . "254")
    '(100 . "AcDbModelerGeometry")
    '(70 . 1)
    '(1 . "mogoo mh m o ")
    '(1
     
    Luis Esquivel, Jan 8, 2004
    #2
  3. Thanks Luis for the answear

    What I don't understand if solid_modeler is a variable that you set (it
    seems) or it can be read from AutoCAD. If it is seted by you I must execute
    it each time I open a dwg, to set it, even if a solid already exist in the
    drawing and solid modeler is already loaded automaticaly by the program
    I profit to ask you (watching to the code you put in the message) where can
    I get information about the manings of . "n fqfffffffffffffffj:rooh n:rono
    " , ">,27:>;:- {rn rn _nm mogqoqmqhoml" etc, becouse to make any other
    entity I use ENTMAKE or VLA-ADD.. but with solids allway do a command line,
    even if I know it isn't the best way

    Thanks again

    Gustavo


     
    Gustavo Guidi, Jan 12, 2004
    #3
  4. Gustavo Guidi
    well, what you can do also is to include a selection set of any possible 3d
    solid before doing the loading process.

    suerte,
    luis.
     
    Luis Esquivel, Jan 12, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.